package com.ycwl.basic.service.pc;

import com.ycwl.basic.model.pc.menu.MenuNode;
import com.ycwl.basic.model.pc.menu.entity.MenuEntity;
import com.ycwl.basic.utils.ApiResponse;

import java.util.List;

/**
 * @Author：longbinbin
 * @Date：2024/12/3 10:40
 */
public interface MenuService {
    ApiResponse<List<MenuNode>> list(Integer type);
    ApiResponse<Integer> add(MenuEntity menu);
    ApiResponse<Integer> update(MenuEntity menu);
    ApiResponse<Integer> deleteById(Long id);
}
